RUN_OPTIONAL_CHECKS <- FALSE
tolerance <- 1e-6

result <- probabilityOfNArrival(0,1,2,3)
testthat::expect_equal(result, 0.03871624, tolerance = tolerance)
result <- probabilityOfNArrival(1,1,2,3)
testthat::expect_equal(result, 0.0299883, tolerance = tolerance)
result <- h(1,1,3)
testthat::expect_equal(result, 0.004412639, tolerance = tolerance)
result <- h(0,1,3)
testthat::expect_equal(result, 0.01032498, tolerance = tolerance)
result <- PrTr(0,0)
testthat::expect_equal(result, 0.851851, tolerance = tolerance)
result <- PrTr(0,1)
testthat::expect_equal(result, 0.1481478, tolerance = tolerance)
result <- PrTr(1,0)
testthat::expect_equal(result, 0.1111109, tolerance = tolerance)
result <- PrTr(1,1)
testthat::expect_equal(result, 0.8888888, tolerance = tolerance)

if (RUN_OPTIONAL_CHECKS) {
result <- probabilitiesMatrix(1,1)
testthat::expect_equal(result[1,1], 0.2931243, tolerance = tolerance)
testthat::expect_equal(result[2,1], 0.3248847, tolerance = tolerance)
testthat::expect_equal(result[3,1], 0)
testthat::expect_equal(result[1,5], 0.01963702, tolerance = tolerance)
testthat::expect_equal(result[3,2], 0.3248847, tolerance = tolerance)
testthat::expect_equal(result[2,2], 0.2844340, tolerance = tolerance)
testthat::expect_equal(result[5,4], 0.3248847, tolerance = tolerance)
testthat::expect_equal(result[5,5], 0.2844340, tolerance = tolerance)
result <- probabilitiesMatrix(1,1,  m = c(0.4, 0.1), lambda=c(0.5,3), tmax=5, nmax=6)
testthat::expect_equal(length(result[1,]), 6)
testthat::expect_equal(length(result[,1]), 6)
testthat::expect_equal(result[1,1], 0.2289973, tolerance = tolerance)
testthat::expect_equal(result[2,1], 0.2318653, tolerance = tolerance)
testthat::expect_equal(result[3,1], 0)
testthat::expect_equal(result[1,5], 0.06092094, tolerance = tolerance)
testthat::expect_equal(result[3,2], 0.2318653, tolerance = tolerance)
testthat::expect_equal(result[2,2], 0.2788068, tolerance = tolerance)
testthat::expect_equal(result[5,4], 0.2318653, tolerance = tolerance)
testthat::expect_equal(result[5,5], 0.27880685, tolerance = tolerance)

result <- resultingMatrix()
testthat::expect_equal(length(result[1,]), 10)
testthat::expect_equal(length(result[,1]), 10)
testthat::expect_equal(result[1,1], 0.46834118, tolerance = tolerance)
testthat::expect_equal(result[2,1], 0.11201079, tolerance = tolerance)
testthat::expect_equal(result[3,1], 0.53960774, tolerance = tolerance)
testthat::expect_equal(result[4,1], 0.05856129, tolerance = tolerance)
testthat::expect_equal(result[5,1], 0)
testthat::expect_equal(result[10,6], 0)
testthat::expect_equal(result[7,4], 0)
testthat::expect_equal(result[1,10], 0.004644734, tolerance = tolerance)
testthat::expect_equal(result[6,3], 0.05856129, tolerance = tolerance)
testthat::expect_equal(result[6,4], 0.32488470, tolerance = tolerance)
testthat::expect_equal(result[5,7], 0.079008928, tolerance = tolerance)
testthat::expect_equal(result[10,10], 0.284434002, tolerance = tolerance)
}

